
%global meadversion 1.1.5
%global namedversion 1.1.5.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package parsson}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.5.redhat-00001

Name:           %{?scl_prefix}parsson
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Eclipse Parsson
Group:          Development/Java

%if %with mead
Source100: project-1.1.5.redhat-00001-project-sources.tar.gz
%endif

License:        EPL-2.0
URL:            https://github.com/eclipse-ee4j/parsson
Provides:       %{?scl_prefix}parsson = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Jakarta JSON Processing provider.

%if %with javadoc
%package javadoc
Summary:        Javadoc for parsson
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n project-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/parsson-%{namedversion}.jar %{buildroot}%{_javadir}/parsson-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/parsson-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/parsson-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/parsson-%{namedversion}-sources.jar %{buildroot}%{_javadir}/parsson-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/parsson-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/parsson-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/parsson-%{namedversion} -x META-INF/\*
%{__ln_s} parsson-%{namedversion} %{buildroot}%{_javadocdir}/parsson
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc CONTRIBUTING.md LICENSE.md NOTICE.md README.md
%{_javadir}/parsson-%{namedversion}.jar
%{_javadir}/parsson.jar
%if %with javadoc
%{_javadir}/parsson-%{namedversion}-javadoc.jar
%{_javadir}/parsson-javadoc.jar
%endif
%{_javadir}/parsson-%{namedversion}-sources.jar
%{_javadir}/parsson-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/parsson-%{namedversion}
%{_javadocdir}/parsson
%endif

%changelog
* Thu Feb 15 2024 cpaas-ops <cpaas-ops@redhat.com> - 1.1.5-1.redhat_00001.1
- Built by CPaaS

* Fri Sep 08 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.1.3-1.redhat_00001.1
- Built by CPaaS

* Wed Jun 21 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.1.2-1.redhat_00001.1
- Built by CPaaS

* Mon Jan 30 2023 cpaas-ops <cpaas-ops@redhat.com> - 1.1.1-1.redhat_00001.1
- Built by CPaaS

* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 1.1.0-2.redhat_00001.1
- Built by CPaaS

* Mon Oct 10 2022 Yong Yang <yyang@redhat.com> - 1.1.0-1.redhat_00001.1
- 1.1.0.redhat-00001
